##########################################################
# Disclaimer:
##########################################################
#
# This make file allows to switch on/off purify/quantify
# compilation options.
# In normal delivery it MUST be completely commented
# The user which like to activate any line contained
# MUST know what s/he is doing to its own risk.
# In particular the listed (and commented) setting 
# are proper only within ESO/DMD environment and
# may need to be updated from time to time.
##########################################################

##########################################################
# Some common setting to run purify/quantify
##########################################################
# C_OPT = 
# F_OPT = 
# DEBUG = -g
# PUROPT = -windows=yes -logfile=pur.log -viewfile=pur.viw \
# 	-cache-dir=/tmp/pure 	-best-effort
# PUROPT = -cache-dir=/tmp/pure -allways-use-cacchedir -collector=usr/bin/ldd
#PURIFYFLAGS = -cache-dir=$(HOME)/purify-cache \
#                -always-use-cache-dir \
#                -g++=yes \
#                -collector=/usr/bin/ld  	
# QUAOPT = -cache-dir=/tmp/quan

##########################################################
# purify specific setting
##########################################################
# HP:
# LD77 = /usr/server/bin/purify $(PUROPT) f77
# LDCC = /usr/server/bin/purify $(PUROPT) cc
# HP: dfs4 
# LD77 = /usr/server/bin/purify $(PURIFYFLAGS) fort77
# LDCC = /usr/server/bin/purify $(PURIFYFLAGS) cc 
#
# Solaris:
# LD77 = /opt/pure/releases/DeveloperTools.DE17/sun4_solaris2/bin/purify $(PUROPT) f77
# LDCC = /opt/pure/releases/DeveloperTools.DE17/sun4_solaris2/bin/purify $(PUROPT) cc 
#
##########################################################
# quantify specific setting
##########################################################
# HP:
# LD77 = /usr/server/bin/quantify $(QUAOPT) f77
# LDCC = /usr/server/bin/quantify $(QUAOPT) cc 
# HP: dfs4
# LD77 = /usr/server/bin/quantify $(PUROPT) fort77
# LDCC = /usr/server/bin/quantify $(PUROPT) cc
#
# Solaris:
# LD77 = /opt/pure/releases/DeveloperTools.DE17/sun4_solaris2/bin/quantify $(QUAOPT) f77
# LDCC = /opt/pure/releases/DeveloperTools.DE17/sun4_solaris2/bin/quantify $(QUAOPT) cc 


