C ===========================================================================
C $Id: lsfit.for,v 1.3 2001/01/04 13:23:10 amodigli Exp $
C $Name:  $
C $Revision: 1.3 $
C $Log: lsfit.for,v $
C Revision 1.3  2001/01/04 13:23:10  amodigli
C Added Id, Name, Revision, Log conf. control info
C
C ===========================================================================

      SUBROUTINE lsfit(i1,x1,xstp,y,sig,msk,nx,ny,nyuse,ixmin,a,covar,ma
     $     ,chisq,funcs)
      IMPLICIT NONE
      INTEGER i1,nx,ny,nyuse,ixmin,MMAX
      REAL x1,xstp,chisq,a(ma),covar(ma,ma)
      REAL sig(nx,ny),y(nx,ny)
      INTEGER*2 msk(nx,ny)
      EXTERNAL funcs
      PARAMETER (MMAX=50)
CU    USES covsrt,gaussj
      INTEGER i2,j,k,l,m
      REAL sig2i,sum,wt,ym,afunc(MMAX),beta(MMAX)

      do 13 j=1,ma
        do 12 k=1,ma
          covar(j,k)=0.
12      continue
        beta(j)=0.
13    continue

      x = x1 - xstp
      do 17 i2=ixmin,nyuse
        x = x + xstp
        if (msk(i1,i2).eq.0) goto 17 !skip
        call funcs(x,afunc,ma)
        ym=y(i1,i2)
c        print *,'LSFIT: ',x,y(i1,i2),sig(i1,i2),msk(i1,i2)
        sig2i=1./sig(i1,i2)
        j=0
        do 16 l=1,ma
           j=j+1
           wt=afunc(l)*sig2i
           k=0
           do 15 m=1,l
              k=k+1
              covar(j,k)=covar(j,k)+wt*afunc(m)
 15        continue
           beta(j)=beta(j)+ym*wt
 16     continue
17    continue
      do 19 j=2,ma
        do 18 k=1,j-1
          covar(k,j)=covar(j,k)
18      continue
19    continue
      call f_gaussj(covar,ma,ma,beta,1,1)
      j=0
      do 21 l=1,ma
         j=j+1
         a(l)=beta(j)
21    continue
      chisq=0.
      x = x1 - xstp
      do 23 i2=ixmin,nyuse
        x = x + xstp
        if (msk(i1,i2).eq.0) goto 23 !skip
        call funcs(x,afunc,ma)
        sum=0.
        do 22 j=1,ma
          sum=sum+a(j)*afunc(j)
22      continue
        chisq=chisq+(y(i1,i2)-sum)**2/sig(i1,i2)
23    continue
c      call covsrt(covar,ma,ma,ia,ma)
      return
      END
C  (C) Copr. 1986-92 Numerical Recipes Software %5210G.31zR2.1"n26@1.
