! $Id: necpres.prg,v 1.2 2001/01/04 12:20:51 amodigli Exp $
!------------------------------------------------------------------------------
!.COPYRIGHT   (C) 1991 European Southern Observatory
!.IDENT       echpres.prg
!.AUTHOR      Pascal Ballester,  ESO - Garching
!.KEYWORDS    Spectroscopy, Echelle, 
!.PURPOSE     Command PLOT/RESIDUAL  [N1,N2]
!.VERSION     1.0    Creation    J.D. Ponz  131083
!
!------------------------------------------------------------------------------
! $Name:  $
! $Revision: 1.2 $
! $Log: necpres.prg,v $
! Revision 1.2  2001/01/04 12:20:51  amodigli
! Added Id, Name, Revision, Log conf. control info
!
!------------------------------------------------------------------------------
!@ creifnot 1

set/graph default
if "'p1'" .eq. "?" then
!  assign/graph postscript.l
  select/table   {LINTAB} (:SELECT.NE.0)  {SESSOUTV}
  plot/table     {LINTAB} :ORDER :RESIDUAL
!  plot/table     {LINTAB} :ORDER :RESIDUAL -190,-150,30,30
else
  define/local i/i/1/1 0
  define/local i1/i/1/3 0,0,0
  write/keyw    i1/i/1/2 'P1'
  i1(3) = i1(1) + 1
  select/table   {LINTAB} (:Y.EQ.{I1(1)}.AND.:SELECT.NE.0) {SESSOUTV}
  plot/table     {LINTAB} :WAVE :RESIDUAL
  do i = 'i1(3)' 'i1(2)'
    select/table       {LINTAB} (:Y.EQ.{I}.AND.:SELECT.NE.0) {SESSOUTV}
    overplot/table     {LINTAB} :WAVE :RESIDUAL
  enddo
  select/table   {LINTAB} ALL 
endif

RETURN
