#!/bin/sh
#MIDAS opening procedure
printf '  \n \
    @d pipeline.start >Null \n \
    @d pipeline.control d >Null \n \
    write/key pipe_home/c/1/100 " " ALL \n \
    pipe_home = m$symbol("PIPE_HOME") \n \
    set/context uves {pipe_home}/uves/context \n  \ 
    echo/full \n \   
    write/key work/c/1/100 " " ALL \n \
    work = m$symbol("wrk") \n \
    create/icat in.cat {work}/frames.ascii >Null \n \
    write/key mytest/c/1/80 " " ALL \n \
    mytest = m$symbol("my_test") \n \
    write/key mycat/c/1/80 " " ALL \n \
    mycat = m$symbol("my_cat") \n \
    read/icat in.cat \n \
    write/out "INFO    [{mytest}]:      Transferring the data ..."\n\
    indisk/fits in.cat ROOT=ref >Null\n\
    create/icat {mycat} ref* >Null\n\
    @p uves_extrref {mycat} \n \
    CONFIG/DISP p3=0.8 \n \
    SPLIT/UVES data.cat \n \
' > ${wrk}/${my_proc}


