! $Id: keydel.prg,v 1.2 2001/01/04 14:33:26 amodigli Exp $
!---------------------------------------------------------------------------
!.COPYRIGHT   (C) 1993 European Southern Observatory
!.IDENT       keydel.prg
!.AUTHOR      Pascal Ballester,  ESO - Garching
!.KEYWORDS    Applications, Keywords. 
!.PURPOSE     Delete Session Keywords
!.VERSION     1.0  Creation                   23-DEC-1993  PB
!             1.1  FORCE parameter added       8-JUL-1998  RP
!                  to delete locked keywords
!		   Copy from FORS-context     09-MAR-1999  SW
!---------------------------------------------------------------------------
! $Name:  $
! $Revision: 1.2 $
! $Id: keydel.prg,v 1.2 2001/01/04 14:33:26 amodigli Exp $
!---------------------------------------------------------------------------
crossref  keytab session mode

define/param p1  +  c  "Enter keyword table:"
define/param p2  +  c  "Enter session:"
define/param p3  +  c  "Enter mode (Normal/Forced):"


define/local cnt/i/1/1        0
define/local lockno/i/1/1     0
define/local table/c/1/100    " "     all  +lower
define/local mode/c/1/5       " "
define/local keylist/c/1/100  {p1}



mode = m$upper(p3(1:5))

if m$index(p1,".tbl") .lt. 1 then
  keylist = "{p1}.tbl"
endif


! prepare files
if p2(1:1) .ne. "+" then
  inquire/session {p2} table inputi
else
  inquire/session {mid$cmnd(11:14)} table inputi
endif

do cnt = 1 inputi(1)
  if keylist(1:1) .eq. "+" then
    if mode .eq. "FORCE" then
      info/keyword {{table},:key,@{cnt}}
      lockno = mid$info(4)
      if lockno .ne. 0 then
        unlock/keyword {{table},:key,@{cnt}} {lockno}
      endif
    endif
    delete/keyword {{table},:key,@{cnt}}
  else
    delete/descr {keylist} {{table},:key,@{cnt}}
  endif
enddo

delete/table {table} no

return 0
